Mautic Community Forums

"The session id is too long" on install

Hey guys o/

how are you?



I’m looking for help, I’m getting a error when i try to install Mautic 2.1.0 on my VPS.



My SO is CentOs with:



Apache Version: 2.2.15

PHP Version: 5.6.24

MySQL Version: 5.5.51





The log:

Code:
[2016-08-18 16:11:04] mautic.WARNING: PHP Warning: SessionHandler::read(): The session id is too long or contains illegal characters, valid characters are a-z, A-Z, 0-9 and '-,' - in file /var/sentora/hostdata/zadmin/public_html/mautic/vendor/symfony/http-foundation/Session/Storage/Proxy/SessionHandlerProxy.php - at line 69 [] [] [2016-08-18 16:11:04] mautic.CRITICAL: Uncaught PHP Exception Exception: "There is no suitable CSPRNG installed on your system" at /var/sentora/hostdata/zadmin/public_html/mautic/vendor/paragonie/random_compat/lib/random.php line 185 {"exception":"[object] (Exception(code: 0): There is no suitable CSPRNG installed on your system at /var/sentora/hostdata/zadmin/public_html/mautic/vendor/paragonie/random_compat/lib/random.php:185)"} [] [2016-08-18 16:11:04] mautic.ERROR: Warning: SessionHandler::write(): The session id is too long or contains illegal characters, valid characters are a-z, A-Z, 0-9 and '-,' - in file /var/sentora/hostdata/zadmin/public_html/mautic/vendor/symfony/http-foundation/Session/Storage/Proxy/SessionHandlerProxy.php - at line 77 [] []

Hey guys o/
how are you?

I’m looking for help, I’m getting a error when i try to install Mautic 2.1.0 on my VPS.

My SO is CentOs with:

Apache Version: 2.2.15
PHP Version: 5.6.24
MySQL Version: 5.5.51

The log:

[2016-08-18 16:11:04] mautic.WARNING: PHP Warning: SessionHandler::read(): The session id is too long or contains illegal characters, valid characters are a-z, A-Z, 0-9 and '-,' - in file /var/sentora/hostdata/zadmin/public_html/mautic/vendor/symfony/http-foundation/Session/Storage/Proxy/SessionHandlerProxy.php - at line 69 [] []
[2016-08-18 16:11:04] mautic.CRITICAL: Uncaught PHP Exception Exception: "There is no suitable CSPRNG installed on your system" at /var/sentora/hostdata/zadmin/public_html/mautic/vendor/paragonie/random_compat/lib/random.php line 185 {"exception":"[object] (Exception(code: 0): There is no suitable CSPRNG installed on your system at /var/sentora/hostdata/zadmin/public_html/mautic/vendor/paragonie/random_compat/lib/random.php:185)"} []
[2016-08-18 16:11:04] mautic.ERROR: Warning: SessionHandler::write(): The session id is too long or contains illegal characters, valid characters are a-z, A-Z, 0-9 and '-,' - in file /var/sentora/hostdata/zadmin/public_html/mautic/vendor/symfony/http-foundation/Session/Storage/Proxy/SessionHandlerProxy.php - at line 77 [] []